Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Prepare files in advance of Rails 3.1 update

Update cannot be completed until #315 is resolved, since clearance 0.9
depends on rails 3.0.
  • Loading branch information...
commit 29d8e199fe973e9448157846879a6277c04ee3bc 1 parent 1494f20
Erik Michaels-Ober sferik authored
28 .gitignore
View
@@ -1,18 +1,20 @@
-*~
+*.rbc
+*.rdb
+*.sql
*.swp
+*~
.DS_Store
-server/
-pkg/
+.bundle
+.rvmrc
+.sass-cache/
+_site/
bench/
-log/*
-tmp/*
-db/*.sqlite3
+bin/
config/database.yml
-config/rubygems.yml
config/newrelic.yml
-*.sql
-_site/
-.bundle/
-bin/
-.rvmrc
-*.rdb
+config/rubygems.yml
+db/*.sqlite3
+log/*.log
+pkg/
+server/
+tmp/
1  Rakefile
View
@@ -1,3 +1,4 @@
+#!/usr/bin/env rake
require File.expand_path('../config/application', __FILE__)
Gemcutter::Application.load_tasks
9 app/assets/javascripts/application.js
View
@@ -0,0 +1,9 @@
+// This is a manifest file that'll be compiled into including all the files listed below.
+// Add new JavaScript/Coffee code in separate files in this directory and they'll automatically
+// be included in the compiled file accessible from http://example.com/assets/application.js
+// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
+// the compiled file.
+//
+//= require jquery
+//= require jquery_ujs
+//= require_tree .
7 app/assets/stylesheets/application.css
View
@@ -0,0 +1,7 @@
+/*
+ * This is a manifest file that'll automatically include all the stylesheets available in this directory
+ * and any sub-directories. You're free to add application-wide styles to this file and they'll appear at
+ * the top of the compiled file, but it's generally better to create a new file per style scope.
+ *= require_self
+ *= require_tree .
+*/
0  app/mailers/.gitkeep
View
No changes.
0  app/models/.gitkeep
View
No changes.
13 config/boot.rb
View
@@ -1,13 +1,6 @@
require 'rubygems'
# Set up gems listed in the Gemfile.
-gemfile = File.expand_path('../../Gemfile', __FILE__)
-begin
- ENV['BUNDLE_GEMFILE'] = gemfile
- require 'bundler'
- Bundler.setup
-rescue Bundler::GemNotFound => e
- STDERR.puts e.message
- STDERR.puts "Try running `bundle install`."
- exit!
-end if File.exist?(gemfile)
+ENV['BUNDLE_GEMFILE'] ||= File.expand_path('../../Gemfile', __FILE__)
+
+require 'bundler/setup' if File.exists?(ENV['BUNDLE_GEMFILE'])
4 config/initializers/backtrace_silencers.rb
View
@@ -3,5 +3,5 @@
# You can add backtrace silencers for libraries that you're using but don't wish to see in your backtraces.
# Rails.backtrace_cleaner.add_silencer { |line| line =~ /my_noisy_library/ }
-# You can also remove all the silencers if you're trying do debug a problem that might steem from framework code.
-# Rails.backtrace_cleaner.remove_silencers!
+# You can also remove all the silencers if you're trying to debug a problem that might stem from framework code.
+# Rails.backtrace_cleaner.remove_silencers!
0  lib/tasks/.gitkeep
View
No changes.
0  log/.gitkeep
View
No changes.
0  test/fixtures/.gitkeep
View
No changes.
0  test/functional/.gitkeep
View
No changes.
0  test/integration/.gitkeep
View
No changes.
0  test/unit/.gitkeep
View
No changes.
0  vendor/assets/stylesheets/.gitkeep
View
No changes.
0  vendor/plugins/.gitkeep
View
No changes.
Please sign in to comment.
Something went wrong with that request. Please try again.